<?php
    include_once('conection.php');

    $_SESSION['validador'] = "";
    $_SESSION['fecha_validador'] = "";
    $_SESSION['nom'] = "";

    
	$usuario = $_POST['usuario'];
	$clave = $_POST['clave'];
		
	if((isset($usuario) &&  ($usuario != '') && ($clave != '') && ($clave)) && is_numeric ($usuario))
	{
	  
      //$sql = $connection->prepare("select * from funcionario where estado IN(1,3) and cedula_funcionario = $usuario  and cedula_funcionario = $clave");
      $sql = $connection->prepare("select * from funcionario where estado IN(1,3) and cedula_funcionario = $usuario  and clave = $clave");

	  $sql->execute();
	  $row = $sql->fetch(PDO::FETCH_ASSOC);
	  $coun = count($row);

	
	  if($coun >= 2){

	  			
		$_SESSION['cedula'] = $row['cedula_funcionario'];
		$_SESSION['usuario'] = $row['cedula_funcionario'];
		$_SESSION['clave'] = $row['cedula_funcionario'];
		$_SESSION['rol'] = $row['rol_fun'];
		$_SESSION['nom'] = $row['primer_nombre']." ".$row['primer_apellido'];
		 

		ini_set('date.timezone','America/Bogota');     
        $hora = date('H:i:s');




        //if($hora> '03:00:00' && $hora< '10:46:00'){
		if($hora> '03:00:00' && $hora< '07:46:00'){

    		$_SESSION['jornada'] = 'am';

    	}elseif ($hora> '11:45:00' && $hora< '16:45:00'){

    		$_SESSION['jornada'] = 'pm';

    	}	


         //$fecha_actual = date('Y-m-d H:i:s');
		 //$hora = date('H:i:s');

		 
    	function generarCodigo($longitud) {
			 $key = '';
			//$pattern = '1234567890AaBbCcDdEeFfGgHhIiJjKkLlMmNnOoPpQqRrSsTtUuVvWwXxYyZz';
			 $pattern = '123456789AaBbCcDdEeFfGgHhiJjKkLMmNnPpQqRrSsTtUuVvWwXxYyZz';
			 $max = strlen($pattern)-1;
			 for($i=0;$i < $longitud;$i++) $key .= $pattern{mt_rand(0,$max)};
			 return $key;
		}





		       $centinela = 1;



		      // $rt = 0;



	    while ($centinela == 1) {



	    	//$rt++;



	        $validador = generarCodigo(10);// genera un código de 10 caracteres de longitud.

	        $sql2 = $connection->prepare("select validador from audita where validador IS NOT NULL AND validador = '$validador'");
	        $sql2->execute();
	        $resul2 = $sql2->fetchAll(PDO::FETCH_ASSOC);


	        $cont = count($resul2);

	        // 0 = valido
	        // 1 = invalido
	        if($cont == 0){             


	             $ced = $row['cedula_funcionario'];
				 $fecha = date('Y-m-d');
				 $fecha_hora = date('Y-m-d H:i:s');
				 $agent = $_SERVER['HTTP_USER_AGENT'];
				 $ip = $_SERVER['REMOTE_ADDR'];

				 $audita = $connection->prepare("INSERT INTO audita (cedula, validador, fecha, fecha_hora, ip, agent) 
				                                 VALUES ('$ced', '$validador', '$fecha', '$fecha_hora', '$ip', '$agent')");
				 $audita->execute();  	


				 if($audita){

				 	$centinela = 0; 
				 	$_SESSION['validador'] = $validador;
				 	$_SESSION['fecha_validador'] = $fecha_hora;

				 }

	          
	           
	        } 





	        // if($rt == 10)
	        // {
	        // 	$centinela = 0; 
	        // }




	        
	    }
		 

		// echo "<pre>";
		//  print_r($_SERVER);
		// echo "<pre>"; 

		
		
		
		?>
			 <script language="JavaScript">			 	   
				   window.location="quiz.php";
			 </script>
		<?php 
		
	  }else{
		
		?>
			 <script language="JavaScript">
				   window.location="iniciar_sesion.php";
			 </script>
		<?php 
	  }
	}else{
		
		?>
		 <script>
			 alert("usuario o contraseña erroneos");
			 window.location.replace("iniciar_sesion.php");
		 </script>
		<?php
		
	}
	
?>





  